Skip to content

Delete data policy authorization

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.

Delete data policy authorization, delete by authorization subject ID, authorization subject type and data policy ID.

Method name

ManagementClient.revokeDataPolicy

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
targetTypestringYes-Subject type, including USER, GROUP, ROLE, and ORGUSER
targetIdentifierstringYes-Subject ID, including user ID, user group ID, role ID, and organization ID6301cexxxxxxxxxxxxxxxxxx78
policyIdstringYes-Data policy ID60b49xxxxxxxxxxxxxxx6e68

Sample code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If it is a private deployment customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.revokeDataPolicy({
    policyId: "60b49xxxxxxxxxxxxxxx6e68",
    targetIdentifier: "6301cexxxxxxxxxxxxxxxxxx78",
    targetType: DeleteAuthorizeDataPolicyDto.targetType.USER,
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request response

Type: CommonResponseDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c"
}

Data structure

Agent infrastructure for identity, memory, and web action.